source "qemu" "debianzfs" {
  iso_url           = "https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/debian-11.5.0-amd64-netinst.iso"
  iso_checksum      = "sha512:6a6607a05d57b7c62558e9c462fe5c6c04b9cfad2ce160c3e9140aa4617ab73aff7f5f745dfe51bbbe7b33c9b0e219a022ad682d6c327de0e53e40f079abf66a"
  output_directory  = "output"
  shutdown_command  = "echo 'packer' | sudo -S shutdown -P now"
  disk_size         = "5000M"
  memory            = 1024
  format            = "qcow2"
  accelerator       = "kvm"
  http_directory    = "."
  ssh_username      = "root"
  ssh_password      = "s0m3password"
  ssh_timeout       = "20m"
  vm_name           = "tdhtest"
  net_device        = "virtio-net"
  disk_interface    = "virtio"
  boot_wait         = "3s"
  boot_command      = [
        "<esc><wait><wait>",
        "install ",
        "auto=true ",
        "priority=critical ",
        "interface=auto ",
        "url=http://{{ .HTTPIP }}:{{ .HTTPPort }}/preseed.cfg ",
        "passwd/user-fullname=user ",
        "passwd/user-password=userpass ",
        "passwd/user-password-again=userpass ",
        "passwd/username=user ",
        "<enter>"
        ]
}

build {
  sources = ["source.qemu.debianzfs"]
}
